loads {KODAMA} | R Documentation

## Variable Ranking

### Description

This function can be used to extract the variable ranking when KODAMA is performed with the PLS-DA classifier.

### Usage

    loads(model,method=c("loadings","kruskal.test"))

### Arguments

`model` | output of KODAMA.
`method` | method to be used. Choices are "`loadings`" and "`kruskal.test`".

### Value

The function returns a vector of values indicating the "importance" of each variable. If "`method="loadings"` the average of the loading of the first component of PLS models based on the cross-validated accuracy maximized vector is computed. If "`method="kruskal.test"` the average of minus logarithm of p-value of Kruskal-Wallis Rank Sum test is computed.

### Author(s)

Stefano Cacciatore

### References

Cacciatore S, Luchinat C, Tenori L
Knowledge discovery by accuracy maximization.
Proc Natl Acad Sci U S A 2014;111(14):5117-22. doi: 10.1073/pnas.1220873111. Link
Cacciatore S, Tenori L, Luchinat C, Bennett PR, MacIntyre DA
KODAMA: an updated R package for knowledge discovery and data mining.
Bioinformatics 2017;33(4):621-623. doi: 10.1093/bioinformatics/btw705. Link

### See Also

`KODAMA`

### Examples

    # data(iris)
    # data=iris[,-5]
    # labels=iris[,5]
    # kk=KODAMA(data,FUN="PLS-DA")
    # loads(kk)

[Package KODAMA version 1.5 Index]